/**
 * Formular
 */

.tx-sc27-siteconnect .fieldset-title {
	margin-top: 2.5rem !important;
}

.tx-sc27-siteconnect .form-pages .fieldset-title:first-child {
	margin-top: 0;
}

.tx-sc27-siteconnect .form-pages .fieldset-title h3 {
	margin-bottom: 0;
}

.tx-sc27-siteconnect ul.alert {
	list-style: none;
}

/* Bereiche, die nach erteiler Einwilligung in die Nutzung von Google Maps versteckt werden können */
.tx-sc27-siteconnect .consent-map-toggleable.inactive {
	display: none;
}


/**
 * Google Maps Karte
 */

.sc27siteconnect-map-container {
	position: relative;
	width: 100%;
	height: 600px;
	max-height: 80vh;
	margin-top: 1rem;
	border: 1px solid #3f508d;
}

.sc27siteconnect-map-container:not(.active) {
	display: none;
}

/* Element der Google Maps-Karte als solches */
.sc27siteconnect-map-container.active .sc27siteconnect-map {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 1;
}

.sc27siteconnect-map-marker {
	outline: none;
	border: 0;
}

.sc27siteconnect-map-container .sc27siteconnect-map div[class$="-marker-view"] {
	border: 0 !important;
	outline: none !important;
}


/**
 * Adresseingabe zur Karte
 */

/* Eingabefeld für Freitext-Anschrift (zwecks Marker-Positionierung durch Adresseingabe )*/
.sc27siteconnect-address {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	position: absolute;
	top: 0.325rem;
	left: 0.325rem;
	/*
	left: 50%;
	transform: translateX(-50%);
	*/
	z-index: 2;
	padding: 5px;
	background-color: #3f508d;
	width: 450px;
	max-width: 85%;
}

.sc27siteconnect-address input[type="text"] {
	background-color: #3f508d;
	color: #fff;
	margin: 0;
	padding: 0.25rem 0.5rem;
	outline: none;
	flex-base: 99%;
	flex-shrink: 1;
	flex-grow: 1;
	border: 0;
}

.sc27siteconnect-address input[type="text"]::placeholder {
	opacity: 0.85;
	color: #fff;
}

.sc27siteconnect-address button {
	margin: 0;
	margin-left: 1rem;
	padding: 0;
	padding: 0.25rem;
	background: transparent;
	outline: none;
	border: 0;
	flex-basis: 1%;
	flex-shrink: 0;
	flex-grow: 0;
	width: 50px;
}

.sc27siteconnect-address button svg {
	width: auto;
	height: 1.5rem;
	fill: #fff;
}
